Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IEventDescriptor

All Known Implementing Classes:
  EventDescriptor

public interface IEventDescriptor
extends IPropertiedDescriptor, java.io.Serializable

Describes the metadata for a class of events, including the schema that describes the content of the event payload at runtime, and root element name within that schema. This descriptor can also contain adapter-specific property values. These values are opaque to WLAI, and are only for use by the adapter itself. Because this interface extends Serializable, all implementations of this class should be Serializable.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getRootElementName()` Get the name of the root element for the event payload (XML) for events of this type that are received at runtime.
`java.lang.String` | `getSchemaNameString()` Get the name of the schema for the event type represented by this descriptor.
`boolean` | `ownsSchema()`
`void` | `setOwnsSchemaFlag(boolean bOwns)` Sets a flag that indicates if this event owns the schema it references; this flag is true by default.
`void` | `setRootElementName(java.lang.String name)` Set the name of the root element for the event payload (XML) for events of this type that are received at runtime.
`void` | `setSchemaNameString(java.lang.String name)` Set the name of the schema for the event type represented by this descriptor.

Methods inherited from interface com.bea.wlai.common.IPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Method Detail

### setOwnsSchemaFlag

    public void setOwnsSchemaFlag(boolean bOwns)

  Sets a flag that indicates if this event owns the schema it references; this flag is true by default. Setting the flag to false indicates that the schema is referenced by other components and not solely owned by this event

### ownsSchema

    public boolean ownsSchema()

  Returns:
    true if this event owns the schema it references, false otherwise.

### getSchemaNameString

    public java.lang.String getSchemaNameString()

  Get the name of the schema for the event type represented by this descriptor. The schema defines the structure and content of the event payload for events of this type that are received at runtime.

  Returns:
    The name of the schema for the event type for this descriptor.

### setSchemaNameString

    public void setSchemaNameString(java.lang.String name)

  Set the name of the schema for the event type represented by this descriptor. The schema defines the structure and content of the event payload for events of this type that are received at runtime.

  Parameters:
    `name` - The name of the schema for the event type for this descriptor.

### getRootElementName

    public java.lang.String getRootElementName()

  Get the name of the root element for the event payload (XML) for events of this type that are received at runtime.

  Returns:
    The name of the root element present in the event payload (XML) for events of this type.

### setRootElementName

    public void setRootElementName(java.lang.String name)

  Set the name of the root element for the event payload (XML) for events of this type that are received at runtime.

  Parameters:
    `name` - The name of the root element present in the event payload (XML) for events of this type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)